/*******************************************************
 * Copyright (C) 2017
 *  Computer Graphics Support Group of 30 Phys-Math Lyceum
 *******************************************************/
/* FILE NAME  : MAIN.CPP
 * PURPOSE    : The main program file
 * PROGRAMMER : LZ5
 *             AK5
 *             VG5
 * LAST UPDATE: 05.11.2017
 * NOTE: None.
 *
 * No part of this file may be changed without agreement of
 * Computer Graphics Support Group of 30 Phys-Math Lyceum
 */
#include <cstdio>
#include <cmath>

/* Checking position whith simple numders
 * ARGUMENTS:
 *   - number:
 *       int n.
 * RETURNS:
 *   (int) position.
 */
int Check( __int64 n )
{
  int a = n % 10, i = -1;

  while ((n /= 10) != 0)
  {
    i++;
    if (n % 10 == a)
      return i;
    a = n % 10;
  }
  return -1;
} // End of 'Check' function

/* The main program function.
 * ARGUMENTS: None.
 * RETURNS:
 *   (int) 0 if success.
 */
int main( void )
{
  __int64 n;
  int pos = 0;

  scanf("%lld", &n);
  n++;

  while (pos != -1)
  {
    pos = Check(n);
    n += pow(10, (pos - 1) * (pos - 1 != -1));
  }
  printf("%lld", n);
  return 0;
} /* End of 'main' function */

/* END OF 'MAIN' FUNCTION */