/*******************************************************
 * Copyright (C) 2017
 *  Computer Graphics Support Group of 30 Phys-Math Lyceum
 *******************************************************/
/* FILE NAME  : MAIN.CPP
 * PURPOSE    : The main program file
 * PROGRAMMER : LZ5
 *             AK5
 *             VG5
 * LAST UPDATE: 05.11.2017
 * NOTE: None.
 *
 * No part of this file may be changed without agreement of
 * Computer Graphics Support Group of 30 Phys-Math Lyceum
 */
#include <cstdio>

/* Checking position whith simple numders
 * ARGUMENTS:
 *   - number:
 *       int n.
 * RETURNS:
 *   (int) position.
 */
int Check( __int64 n )
{
  int a = n % 10, i = -1, x;

  while ((n /= 10) != 0)
  {
    i++;
    x = n % 10;
    if (x == a)
      return i;
    a = x;
  }
  return -1;
} // End of 'Check' function

__int64 Pow( __int64 x )
{
  __int64 sum = 1;

  if (x < 0)
    return 0;
  while (x != 0)
    sum *= 10, x--;
  return sum;
}

/* The main program function.
 * ARGUMENTS: None.
 * RETURNS:
 *   (int) 0 if success.
 */
int main( void )
{
  __int64 n;
  int pos = 0;
  int P1;

  scanf_s("%lld", &n);
  n++;

  while (pos != -1)
  {
    pos = Check(n);
    P1 = pos - 1;
    n += Pow(P1 * (P1 != -1));
  }
  printf_s("%lld", n);
  return 0;
} /* End of 'main' function */

/* END OF 'MAIN' FUNCTION */