/*******************************************************
 * Copyright (C) 2017
 *  Computer Graphics Support Group of 30 Phys-Math Lyceum
 *******************************************************/
/* FILE NAME  : FACE.CPP
 * PURPOSE    : The main program file
 * PROGRAMMER : LZ5
 *              AK5
 *              VG5
 * LAST UPDATE: 05.11.2017
 * NOTE: None.
 *
 * No part of this file may be changed without agreement of
 * Computer Graphics Support Group of 30 Phys-Math Lyceum
 */
#include <cstdio>
#include <cmath>

/* The main program function.
 * ARGUMENTS: None.
 * RETURNS:
 *   (int) 0 if success.
 */
int main( void )
{
  int k, A[5][9], u = 0, w, S[5];

  scanf_s("%d", &k);

  for (int j = 0; j < 5; j++)
  {
    int x, i = 0;

    scanf_s("%d", &x);
    while (i < 9)
    {
      A[j][8 - i] = x % 10;
      x /= 10;
      i++;
    }
    if (A[j][0] == 1)
      S[j] = 6;
    else if (A[j][1] == 1)
      S[j] = 7;
    else if (A[j][2] == 1)
      S[j] = 8;
    else if (A[j][3] == 1)
      S[j] = 9;
    else
      S[j] = 10;
  }
  int sum = S[0] + S[1] + S[2] + S[3] + S[4] + 20;

  if (sum >= 56)
  {
    printf("-1");
    return 0;
  }
  else
    u = 56 - sum;
  w = ceil((float)k / u);
  u *= w - 1;

  int i = 0;
  while (u < k)
  {
    u += 8 - S[i];
    i++;
  }
  printf("%i %i", w, i);
  return 0;
} /* End of 'main' function */

/* END OF 'MAIN' FUNCTION */
