import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.Locale;
import java.util.StringTokenizer;
import java.util.TreeSet;

public class F {
	String fileName = "<name>";

	int[][] r;
	
	void draw1(int ci, int cj, int q) {
		r[ci + 0][cj + 0] = 1;
		r[ci + 0][cj + 1] = 1;
		r[ci + 0][cj + 2] = 1;
		r[ci + 0][cj + 3] = 1;
		for (int g = 0; g < q - 4; g++) {
			int ni = 1 + g / 4;
			int nj = g % 4;
			r[ci + ni][cj + nj] = 1;
		}
	}
	
	void draw2(int ci, int cj, int q) {
		r[ci + 0][cj + 0] = 1;
		r[ci + 1][cj + 0] = 1;
		r[ci + 2][cj + 0] = 1;
		r[ci + 3][cj + 0] = 1;
		for (int g = 0; g < q - 4; g++) {
			int ni = g / 2;
			int nj = 1 + g % 2;
			r[ci + ni][cj + nj] = 1;
		}
	}
	
	public void solve() throws IOException {
		int n = nextInt(), m = nextInt();
		int[][] a = new int[n][m];
		for (int i = 0; i < n; i++) {
			for (int j = 0; j < m; j++) {
				a[i][j] = nextInt();
			}
		}
		
		r = new int[4 * n][4 * m];
		int x = -1;
		if (m == 1) {
			x = 1;
		} else if (m == 2) {
			x = 2;
		} else {
			x = m - 1;
		}
		
		for (int k = 0; k < n * m; k++) {
			int ni = k / m;
			int nj = k % m;
			if ((ni + nj) % m == m - 1) {
				draw2(ni * 4, nj * 4, a[ni][nj]);
			} else { 
				draw1(ni * 4, nj * 4, a[ni][nj]);
			}
		}
		
		for (int i = 0; i < 4 * n; i++) {
			for (int j = 0; j < 4 * m; j++) {
				out.print(r[i][j] == 1 ? "*" : ".");
			}
			out.println();
		}
		
	}

	public void run() {
		try {
			br = new BufferedReader(new InputStreamReader(System.in));
			out = new PrintWriter(System.out);

//			br = new BufferedReader(new FileReader(new File("input.txt")));
//			out = new PrintWriter(new File("output.txt"));
			
			solve();

			out.close();
		} catch (IOException e) {
			e.printStackTrace();
			System.exit(1);
		}
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public static void main(String[] args) throws IOException {
		Locale.setDefault(Locale.US);
		new F().run();
	}

}
