/***************************************************************
 * Copyright (C) 2017
 *    Computer Graphics Support Group of 30 Phys-Math Lyceum
 ***************************************************************/

/* FILE NAME   : MAIN.CPP
 * PURPOSE     : Olymp task .
 * PROGRAMMER  : CGSG'2016.
 *               Protsenko Dmitry,
 *               Holiavin Nikolai.
 *               CGSG'2017.
 *               Filippov Denis.
 * LAST UPDATE : 05.11.2017
 * NOTE: None.
 */

#include <windows.h>

#include <iostream>
#include <vector>
#include <algorithm>
#include <map>

/* Obtain 10 to the power of length of number in digits.
 * ARGUMENTS:
 *    - number:
 *        UINT64 N;
 * RETURNS:
 *   (UINT64) result.
 */
UINT64 LenPow( UINT64 N )
{
  UINT64 res = 1;

  while (N > 0)
    N /= 10, res *= 10;
  return res / 10;
} /* End of 'LenPow' function */

/* Main program function.
 * ARGUMENTS: None.
 * RETURNS:
 *   (INT) return to OS code.
 */
INT main( VOID )
{
  UINT64 n, next;

  std::cin >> n;
  n++;
  while (TRUE)
  {
    next = n;
    UINT64
      pow10 = LenPow(next);
    INT last_dig = INT(next / pow10);
    next -= min(pow10 * last_dig, next);
    pow10 /= 10;
    while (pow10 > 0)
    {
      INT cur_dig = INT(next / pow10);
      if (cur_dig == last_dig)
        break;
      pow10 /= 10;
      next -= min(pow10 * 10 * cur_dig, next);
      last_dig = cur_dig;
    }
    if (pow10 == 0)
      break;
    n += pow10, n -= n % pow10;
  }
  std::cout << n;
  return 0;
} /* End of 'main' function */

/* END OF 'MAIN.CPP' FILE */
