/***************************************************************
 * Copyright (C) 2017
 *    Computer Graphics Support Group of 30 Phys-Math Lyceum
 ***************************************************************/

/* FILE NAME   : MAIN.CPP
 * PURPOSE     : Olymp task .
 * PROGRAMMER  : CGSG'2016.
 *               Protsenko Dmitry,
 *               Holiavin Nikolai.
 *               CGSG'2017.
 *               Filippov Denis.
 * LAST UPDATE : 05.11.2017
 * NOTE: None.
 */

#include <windows.h>

#include <iostream>

enum week
{
  Mon = 0,
  Tue,
  Wen,
  Thu,
  Fri,
  Sat,
  Sun
};

/* Main program function.
 * ARGUMENTS: None.
 * RETURNS:
 *   (INT) return to OS code.
 */
INT main( VOID )
{
  INT k;

  std::cin >> k;

  CHAR DayWeek[5][10];

  scanf("%s", &DayWeek[0][0]);
  scanf("%s", &DayWeek[1][0]);
  scanf("%s", &DayWeek[2][0]);
  scanf("%s", &DayWeek[3][0]);
  scanf("%s", &DayWeek[4][0]);

  INT sleep[7], notsleep = 0;

  for (INT i = 0; i <= 5; i++)
  {
    INT j;
    for (j = 0; j < 10; j++)
      if (DayWeek[i][j] == '1')
        break;
    sleep[i] = min(6 + j, 10);
  }
  sleep[5] = sleep[6] = 10;

  for (INT Week = 0;; Week++)
  {
    for (INT Day = week::Mon; Day <= week::Sun; Day++)
    {
      notsleep += max(8 - sleep[Day], -notsleep);
      if (notsleep >= k)
      {
        printf("%d %d", Week + 1, Day + 1);
        return 0;
      }
    }
    if (notsleep == 0)
    {
      printf("-1");
      return 0;
    }
  }
  return 0;
} /* End of 'main' function */

/* END OF 'MAIN.CPP' FILE */
