#include <iostream>
#include <vector>
#include <math.h>

typedef unsigned __int64 Int;

int main(void) {
	Int n = 0;
	std::cin >> n;
	++n;
	
	auto ten_pow = [](Int x) -> Int {
		Int y = 1;
		for (Int i = 0; i < x; ++i) { y *= 10;  }
		return y;
	};

	auto n_digit = [&](Int x, Int digit) -> Int {
		Int ten = ten_pow(digit);
		return (x / ten) % 10;
	};
	auto digit_len = [](Int x) -> Int {
		Int count = 0;
		if (x == 0) { return 1; }
		while (x != 0) { ++count; x /= 10; }
		return count;
	};

	std::vector<Int> digits;
	{
		Int len = digit_len(n);
		digits.reserve(len);
		for (size_t i = 0; i < len; ++i) {
			digits.push_back(n_digit(n, i));
		}
	}
	
	//start from 1. 0 - fine
	auto check = [&]() -> size_t {
		for (size_t i = 0; i < digits.size() - 1; ++i) {
			if (digits[i] == digits[i + 1])
				return i + 1;
		}
		return 0;
	};

	auto inc = [&](size_t dig) {
		++digits[dig];
		while (digits[dig] == 10) {
			if (dig < digits.size()) {
				digits[dig] = 0;
				++dig;
				if (dig == digits.size()) { digits.push_back(1); }
				else { ++digits[dig]; }
			}
		}
	};

	size_t reply = check();
	while (reply != 0) {
		inc(reply - 1);
		for (size_t i = 0; i < reply - 1; ++i) {
			digits[i] = 0;
		}
		reply = check();
	}

	Int result = 0;
	for (size_t i = 0; i < digits.size(); ++i) {
		result += (digits[i] * ten_pow(i));
	}
	std::cout << result << std::endl;

	return 0;
}